# QGraphicsScene Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QGraphicsScene(QObject parent)
- void QGraphicsScene(QRectF sceneRect, QObject parent)
- void QGraphicsScene(qreal x, qreal y, qreal width, qreal height, QObject parent)

### Constructor Properties

- prototype: The QGraphicsScene prototype object
- ItemLayer = 0x1
- BackgroundLayer = 0x2
- ForegroundLayer = 0x4
- AllLayers = 0xffff
- SceneLayer( value )
- SceneLayers( value1, value2, ... )
- NoIndex = -1
- BspTreeIndex
- ItemIndexMethod( value )

### Prototype Object Properties

The QGraphicsScene prototype object inherits properties from the QObject prototype object and also has the following properties.

- QGraphicsItem activePanel()
- QGraphicsWidget activeWindow()
- QGraphicsEllipseItem addEllipse(QRectF rect, QPen pen, QBrush brush)
- void addItem(QGraphicsItem item)
- QGraphicsLineItem addLine(QLineF line, QPen pen)
- QGraphicsPathItem addPath(QPainterPath path, QPen pen, QBrush brush)
- QGraphicsPixmapItem addPixmap(QPixmap pixmap)
- QGraphicsPolygonItem addPolygon(QPolygonF polygon, QPen pen, QBrush brush)
- QGraphicsRectItem addRect(QRectF rect, QPen pen, QBrush brush)
- QGraphicsSimpleTextItem addSimpleText(String text, QFont font)
- QGraphicsTextItem addText(String text, QFont font)
- QGraphicsProxyWidget addWidget(QWidget widget, WindowFlags wFlags)
- void clearFocus()
- List collidingItems(QGraphicsItem item, ItemSelectionMode mode)
- QGraphicsItemGroup createItemGroup(List items)
- void destroyItemGroup(QGraphicsItemGroup group)
- QGraphicsItem focusItem()
- bool hasFocus()
- qreal height()
- Object inputMethodQuery(InputMethodQuery query)
- void invalidate(qreal x, qreal y, qreal w, qreal h, SceneLayers layers)
- bool isActive()
- QGraphicsItem itemAt(QPointF pos)
- List items()
- QRectF itemsBoundingRect()
- QGraphicsItem mouseGrabberItem()
- void removeItem(QGraphicsItem item)
- void render(QPainter painter, QRectF target, QRectF source, AspectRatioMode aspectRatioMode)
- List selectedItems()
- QPainterPath selectionArea()
- bool sendEvent(QGraphicsItem item, QEvent event)
- void setActivePanel(QGraphicsItem item)
- void setActiveWindow(QGraphicsWidget widget)
- void setFocus(FocusReason focusReason)
- void setFocusItem(QGraphicsItem item, FocusReason focusReason)
- void setSceneRect(qreal x, qreal y, qreal w, qreal h)
- void setSelectionArea(QPainterPath path)
- void setStyle(QStyle style)
- QStyle style()
- void update(qreal x, qreal y, qreal w, qreal h)
- List views()
- qreal width()

### Instance Properties

QGraphicsScene objects inherit properties from the QGraphicsScene prototype object and also have the following properties.

- backgroundBrush
- foregroundBrush
- itemIndexMethod
- sceneRect
- bspTreeDepth
- palette
- font
- sortCacheEnabled
- stickyFocus